Package com.opensymphony.module.sitemesh

# Interface RequestConstants

All Known Implementing Classes:
  `AbstractTag`, `ApplyDecoratorTag`, `BodyTag`, `ExtractPropertyTag`, `HeadTag`, `InlineDecoratorMapper`, `OldDecorator2NewDecorator`, `PropertyTag`, `TitleTag`, `UsePageTag`

public interface RequestConstants
A set of static constants of Strings to be used as ServletRequest attribute keys to represent various objects passed between pages.

Version:
  $Revision: 1.3 $
Author:
  Joe Walnes
See Also:
  - `SiteMeshFilter`
  - `ApplyDecoratorTag`
  - `InlineDecoratorMapper`
  - `RobotDecoratorMapper`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DECORATOR`
The name (String) of the Decorator to suggest using.
`static final String`
`PAGE`
Stores `Page` instance for parsed page to be passed across to `Decorator`.
`static final String`
`ROBOT`
Marker that stores a Boolean (under the session) to state whether the current session is the session of a web search engine spider.

## Field Details

### PAGE

static final String PAGE
Stores `Page` instance for parsed page to be passed across to `Decorator`.

See Also:
  - Constant Field Values

### DECORATOR

static final String DECORATOR
The name (String) of the Decorator to suggest using. This is set by the `ApplyDecoratorTag` and used by the corresponding `DecoratorMapper`.

See Also:
  - Constant Field Values

### ROBOT

static final String ROBOT
Marker that stores a Boolean (under the session) to state whether the current session is the session of a web search engine spider. This is set and used by the `RobotDecoratorMapper`.

See Also:
  - Constant Field Values